Module javafx.graphics
Package javafx.scene.input

# Enum Class MouseButton

java.lang.Object
java.lang.Enum<MouseButton>
javafx.scene.input.MouseButton

All Implemented Interfaces:
  `Serializable`, `Comparable<MouseButton>`, `Constable`

public enum MouseButton extends Enum<MouseButton>
Mapping for Button Names

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MIDDLE`
Represents middle (button 2) mouse button.
`NONE`
Represents no button.
`PRIMARY`
Represents primary (button 1, usually the left) mouse button.
`SECONDARY`
Represents seconday (button 3, usually the right) mouse button.

## Method Summary

Modifier and Type
Method
Description
`static MouseButton`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MouseButton[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final MouseButton NONE
Represents no button.

### PRIMARY

public static final MouseButton PRIMARY
Represents primary (button 1, usually the left) mouse button.

### MIDDLE

public static final MouseButton MIDDLE
Represents middle (button 2) mouse button.

### SECONDARY

public static final MouseButton SECONDARY
Represents seconday (button 3, usually the right) mouse button.

## Method Details

### values

public static MouseButton[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MouseButton valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null